from dishka import BaseScope, Provider, Scope, provide
from sentence_transformers import SentenceTransformer


class ModelProvider(Provider):
    scope: BaseScope | None = Scope.APP

    @provide(scope=Scope.APP)
    def sentence_transformer_model(self) -> SentenceTransformer:
        return SentenceTransformer("all-MiniLM-L6-v2")
